﻿using System;
using MongoDB.Driver; 

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            Mongo db = new Mongo();
            db.Connect(); //Connect to localhost on the default port.
            Database test = db.getDB("test");
            IMongoCollection things = test.GetCollection("things");
            Document queryDoc = new Document();
            queryDoc.Append("lastname", "Neward");
            Document resultDoc = things.FindOne(queryDoc);
            Console.WriteLine(resultDoc);

            Document anotherResult = 
                db["test"]["things"].FindOne(
                    new Document().Append("lastname", "Neward"));
            Console.WriteLine(anotherResult);

            anotherResult["age"] = 39;
            things.Update(resultDoc);
            Console.WriteLine(
                db["test"]["things"].FindOne(
                    new Document().Append("lastname", "Neward")));

            Document ted = new Document();
            ted["_id"] = new MongoDB.Driver.Oid("4b61494aff75000000002e77");
            ted["firstname"] = "Ted";
            ted["lastname"] = "Neward";
            ted["age"] = 40;
            things.Update(ted);
            Console.WriteLine(
                db["test"]["things"].FindOne(
                    new Document().Append("lastname", "Neward")));

            db.Disconnect();
        }
    }
}
